#pragma once
#include <glm/glm.hpp>
#include <imgui.h>
#include <string>

#include <entt/entt.hpp>
#include <entt/entity/fwd.hpp>

#include "../../libs/guizmo/ImGuizmo.h"
#include "../../YoggieEngine/src/YoggieEngine.h"
typedef void ( *voidFunction ) (void);
using namespace YoggieEngine;

void ComponentView(const std::string& componentName, voidFunction func);

void Inspector(entt::entity entity, Scene& scene);

void SceneExplorer(entt::entity& selected, Scene& scene);

void Viewport(Framebuffer& framebuffer);

void GamePort(Framebuffer& framebuffer);

void Settings();

void Console();

void AssetsFinder();