#pragma once
#include "GLFW/glfw3.h"

#include "../PerfCounter.h"

#include "Renderable.h"
#include "Memory/Framebuffer.h"
#include "../Scene/Components.h"
#include"../Scene/Scene.h"

namespace YoggieEngine {

	class Renderer {
	public:
		Renderer();
		~Renderer();

		void Prepare(Scene& scene);
		void Render(Scene& scene );

		void Render(Framebuffer* framebuffer, Scene& scene);
	};
}
